Bug 57749 - [UWP] After enabling a disabled button it is not clickable
Summary: [UWP] After enabling a disabled button it is not clickable
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.3.5
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-06-25 12:59 UTC by otyq08
Modified: 2017-06-28 13:02 UTC (History)
3 users (show)

See Also:
Tags: ac
Is this bug a regression?: Yes
Last known good build: 2.3.5.239-pre3


Attachments
Reproduction Project (307.80 KB, application/x-zip-compressed)
2017-06-25 12:59 UTC, otyq08
Details
Attached are the logs generated during defect verification (2.18 KB, application/x-zip-compressed)
2017-06-28 12:58 UTC, Saurabh Paunikar
Details

Description otyq08 2017-06-25 12:59:36 UTC
Created attachment 23101 [details]
Reproduction Project

Overview:
After enabling a disabled button on UWP, it is not clickable any more.

Steps to reproduce:
Run attached project. Try to click on the button.

Actual result:
The clicked button shows no visual feedback and the message box is not shown.

Expected result:
The button should show visual feedback and the message box should be shown.

Build and plattforms:
2.3.5.253-pre5 BAD
2.3.5.239-pre3 GOOD

Works on Android.
Comment 1 otyq08 2017-06-25 13:09:37 UTC
Additional information:
Works after resizing the application window in Windows 10.
Comment 2 Rui Marinho 2017-06-26 18:16:55 UTC
Should be fixed on 2.3.5-pre6

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.